Bug 856973 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:615571931489b73f24622df59b5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 05:12 EDT by amdkan
Modified: 2013-08-01 22:12 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-09-13 05:12 EDT, amdkan
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (381 bytes, text/plain)
2012-09-13 05:12 EDT, amdkan
no flags Details

  None (edit)
Description amdkan 2012-09-13 05:12:31 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514ab]
:2: /usr/bin/Xorg (0x400000+0x47f02) [0x447f02]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fb1cb498000+0x60e4) [0x7fb1cb49e0e4]
:4: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
:5: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
:6: /lib64/libpthread.so.0 (0x346a400000+0xefe0) [0x346a40efe0]
:7: /lib64/libc.so.6 (ioctl+0x7) [0x3469cea2f7]
:8: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x3cd7e035f8]
:9: /lib64/libdrm.so.2 (drmCommandWriteRead+0x1c) [0x3cd7e0586c]
:10: /lib64/libdrm_radeon.so.1 (0x7fb1ce235000+0x1e89) [0x7fb1ce236e89]
:11: /lib64/libdrm_radeon.so.1 (0x7fb1ce235000+0x20b4) [0x7fb1ce2370b4]
:12: /usr/lib64/xorg/modules/drivers/radeon_drv.so (0x7fb1ce46e000+0xbdc2b) [0x7fb1ce52bc2b]
:13: /usr/lib64/xorg/modules/libexa.so (0x7fb1cda0c000+0xb007) [0x7fb1cda17007]
:14: /usr/bin/Xorg (0x400000+0x160483) [0x560483]
:15: /usr/bin/Xorg (0x400000+0xc9d50) [0x4c9d50]
:16: /usr/bin/Xorg (0x400000+0xfa8da) [0x4fa8da]
:17: /usr/bin/Xorg (0x400000+0x3444a) [0x43444a]
:18: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:19: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3469c21735]
:20: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 amdkan 2012-09-13 05:12:36 EDT
Created attachment 612388 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 amdkan 2012-09-13 05:12:38 EDT
Created attachment 612389 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 G. Hynes 2012-09-20 23:45:40 EDT
Nothing different.

Running Google Chrome.  
Move Chrome window.
Error generated.


Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Dean Peterson 2012-09-21 21:22:48 EDT
I was watching a you tube video (html 5 format?) of the Beatle's "When I'm 64" in Firefox.  I switched to another tab.  A couple seconds later, my computer stopped responding: the mouse cursor would not move, and the keyboard would not even do Ctrl+Atl+F1.  A couple seconds later the music stopped.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Adam Jackson 2012-10-18 17:50:15 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 6 Adam Jackson 2012-10-18 17:50:34 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 7 Alan M. Carroll 2012-12-07 13:09:22 EST
Locked up running the ccurve screen saver.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Michal Nowak 2012-12-07 13:24:28 EST
Alan, update to xorg-x11-server-Xorg-1.12.4-1.fc17, should be fine then (at least it worked for me).
Comment 9 Alan M. Carroll 2012-12-07 15:01:15 EST
I did a full software update after I made the report.
Comment 10 Jonathan Miller 2012-12-18 18:05:33 EST
running Chrome, a calendar reminder notification popped up in the top right corner of my screen; all of X locked up and I had to pkill gnome-shell PID. Lost a bunch of work...
Comment 11 Jon Wooten 2013-01-21 12:59:22 EST
updating software via the Apper tool

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Jon Wooten 2013-01-22 23:05:57 EST
updating software via Apper

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 alan.henry.williams 2013-02-24 12:36:54 EST
Unknown

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Jon Wooten 2013-02-25 08:40:45 EST
updating software using apper

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Jon Wooten 2013-02-25 09:08:17 EST
updating software via apper

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Jon Wooten 2013-02-28 16:50:26 EST
updating software packages via apper

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Aurelien Marchand 2013-03-21 08:38:18 EDT
not too sure, I had many windows opened (Firefox, Chrome, Terminal, Thunderbird, etc). I was on a resource-intensive website using Chrome (custom google maps with many, many markers) and clicked on a record to edit its content and the screen suddently turned blue (of all things!), The system didn't respond to CTRL-ALT-F1 or the like although sometimes the mouse could move. Hard reboot.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 wallyk 2013-05-20 19:07:15 EDT
Description of problem:
1.  Downloaded http://code.google.com/p/mft2csv/downloads/detail?name=LogFile_Parser_v1.0.0.5.zip&can=2&q= and extracted LogFileParser.exe
2.  Execute "wine LogFileParser.exe"  No parameters are needed to make it fail.  Wine version is wine-1.5.25.
3.  Observed that nothing much happens except a crash notification.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.7.3-101.fc17.x86_64

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x55158b]
2: /usr/bin/Xorg (0x400000+0x47f22) [0x447f22]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f708af79000+0x60e4) [0x7f708af7f0e4]
4: /usr/bin/Xorg (0x400000+0x80817) [0x480817]
5: /usr/bin/Xorg (0x400000+0xa4b00) [0x4a4b00]
6: /lib64/libpthread.so.0 (0x3ea0600000+0xefe0) [0x3ea060efe0]
7: /lib64/libc.so.6 (ioctl+0x7) [0x3ea02ea307]
8: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x3eb9203658]
9: /lib64/libdrm.so.2 (drmCommandWriteRead+0x1c) [0x3eb92058cc]
10: /lib64/libdrm_radeon.so.1 (0x7f708b1cc000+0x2009) [0x7f708b1ce009]
11: /lib64/libdrm_radeon.so.1 (0x7f708b1cc000+0x2234) [0x7f708b1ce234]
12: /usr/lib64/xorg/modules/drivers/radeon_drv.so (0x7f708b3d7000+0xbdc2b) [0x7f708b494c2b]
13: /usr/lib64/xorg/modules/libexa.so (0x7f708a9a3000+0xafaf) [0x7f708a9adfaf]
14: /usr/bin/Xorg (0x400000+0x160573) [0x560573]
15: /usr/bin/Xorg (0x400000+0xc9c20) [0x4c9c20]
16: /usr/bin/Xorg (0x400000+0x3163a) [0x43163a]
17: /usr/bin/Xorg (0x400000+0x3446a) [0x43446a]
18: /usr/bin/Xorg (0x400000+0x23475) [0x423475]
19: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3ea0221735]
20: /usr/bin/Xorg (0x400000+0x2374d) [0x42374d]
Comment 19 Fedora End Of Life 2013-07-04 03:27:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2013-08-01 15:36:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.